# Import schemas
Source: https://docs.file.ai/api-reference/schemas-file-types/import-schemas

> Import schemas from a previously exported zip file.

post /prod/v1/files/schema/import

Import schemas from a previously exported zip file.

**Request:**
- Content-Type: `multipart/form-data`
- `file` (file, required): The exported zip file

**Response:**
- `success` (boolean): Whether the import was successful
- `importedBlueprintsCount` (number): Number of blueprints imported
- `importedSchemasCount` (number): Number of schemas imported
- `conflictBlueprintsCount` (number): Number of blueprints that had conflicts
- `conflictBlueprints` (string[]): List of conflicting blueprint class names
- `blueprintIds` (string[]): IDs of the imported blueprints
- `schemaIds` (string[]): IDs of the imported schemas

**Notes:**
- All imported blueprints and schemas will be assigned new IDs
- Metadata (organization, workspace, user) will be updated to the importing user
- If a blueprint with the same class name already exists, the import will fail
